## kde-workspace 4.11.8

=== CMakeLists.txt ===
project(KDEBASE_WORKSPACE)
# set_package_properties appeared in cmake 2.8.6
# TODO: Remove when kdelibs >= 4.10 will be required
cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

# Used e.g. in KDE4WorkspaceConfig.cmake, Alex
set(KDE4WORKSPACE_VERSION_MAJOR 4)
set(KDE4WORKSPACE_VERSION_MINOR 11)
set(KDE4WORKSPACE_VERSION_PATCH 8)
set(KDE4WORKSPACE_VERSION ${KDE4WORKSPACE_VERSION_MAJOR}.${KDE4WORKSPACE_VERSION_MINOR}.${KDE4WORKSPACE_VERSION_PATCH} )

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

#search packages used by KDE
set(QT_MIN_VERSION "4.8.0")

find_package(KDE4 4.9.4 REQUIRED)
include(KDE4Defaults)

option(WITH_XINERAMA "Xinerama support for multi-headed X displays" ON)

find_package(Strigi)

set_package_properties(Strigi PROPERTIES DESCRIPTION "Desktop indexing and search support"
                       URL "http://strigi.sourceforge.net"
                       TYPE REQUIRED
                      )

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "http://www.zlib.net"
                       TYPE REQUIRED
                      )

find_package(KActivities 6.0.0 CONFIG)
set_package_properties(KActivities PROPERTIES DESCRIPTION "Interface library for the activity manager"
                       URL "https://projects.kde.org/kactivities"
                       TYPE REQUIRED
                      )

find_package(DBusMenuQt 0.6.0)
set_package_properties(DBusMenuQt PROPERTIES DESCRIPTION "Support for notification area menus via the DBusMenu protocol"
                       URL "https://launchpad.net/libdbusmenu-qt"
                       TYPE REQUIRED
                      )

find_package(QImageBlitz)
set_package_properties(QImageBlitz PROPERTIES DESCRIPTION "An image effects library"
                       URL "http://sourceforge.net/projects/qimageblitz"
                       TYPE REQUIRED
                      )

find_package(KDeclarative QUIET CONFIG)
set_package_properties(KDeclarative PROPERTIES DESCRIPTION "KDE Declarative (QML) support from kdelibs"
                       URL "http://www.kde.org"
                       TYPE REQUIRED
                       PURPOSE "Required for building ksmserver"
                      )

macro_optional_find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                       URL "http://www.opengl.org"
                       TYPE OPTIONAL
                      )
macro_optional_find_package(OpenGLES)
set_package_properties(OpenGLES PROPERTIES DESCRIPTION "The OpenGLES libraries"
                       URL "http://www.khronos.org/opengles"
                       TYPE OPTIONAL
                      )
macro_optional_find_package(UDev)
set_package_properties(UDev PROPERTIES DESCRIPTION "The UDev Libraries"
                       TYPE OPTIONAL
                       PURPOSE "Allows support for UPower backend in PowerDevil - STRONGLY RECOMMENDED"
                      )

macro_optional_find_package(Wayland)
set_package_properties(Wayland PROPERTIES DESCRIPTION "The Wayland Client and Server libraries"
                       URL "http://wayland.freedesktop.org"
                       TYPE OPTIONAL
                       PURPOSE "Required for building KWin with Wayland support"
                      )
if(Q_WS_X11)
  find_package(XCB REQUIRED)
  set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                         URL "http://xcb.freedesktop.org"
                         TYPE REQUIRED
                        )

  find_package(X11_XCB)
  set_package_properties(X11_XCB PROPERTIES DESCRIPTION "XCB X11 protocol client library"
                         TYPE REQUIRED
                        )

  find_package(X11 REQUIRED)
  set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                         URL "http://www.x.org"
                         TYPE REQUIRED
                        )

  add_feature_info("Automated testing of X clients" X11_XTest_FOUND
                   "The X11 Testing Resource extension library is useful for automated testing of X clients")
  add_feature_info("libXau" X11_Xau_FOUND "The X11 Authorization Protocol library may be used by KDM")
  add_feature_info("LibXdmcp" X11_Xdmcp_FOUND "The X Display Manager Control Protocol library may be used by KDM")
  if(NOT X11_Xkbfile_FOUND)
    message(FATAL_ERROR "The X11 keyboard layout library was not found. Required for building keyboard modules.")
  endif()
  if(NOT X11_Xcomposite_FOUND)
    message(FATAL_ERROR "The X11 composite library was not found. Required for building the plasma tray and notifications widgets.")
  endif()
  if(NOT X11_Xdamage_FOUND)
    message(FATAL_ERROR "The X11 damaged region extension library was not found. Required for compositing support in KWin.")
  endif()
  if(NOT X11_Xrender_FOUND)
    message(FATAL_ERROR " The X Rendering Extension client library was not found. Required for XRender Compositing backend in KWin.")
  endif()
  if(NOT X11_Xfixes_FOUND)
    message(FATAL_ERROR "The X11 miscellaneous 'fixes' extension library was not found. Required for XRender Compositing backend in KWin.")
  endif()
  if(NOT X11_Xrandr_FOUND)
    message(FATAL_ERROR "The X11 RandR extension library was not found. Required for Multi Screen Support.")
  endif()
  if(NOT OPENGL_FOUND AND NOT OPENGLES_FOUND)
    message(FATAL_ERROR "Either OpenGL or OpenGL ES 2.0 are required for Compositing support in KWin.")
  endif()
  if(NOT X11_Xcursor_FOUND)
    message(FATAL_ERROR "The X11 cursor management library was not found. Required for desktop effects support in KWin.")
  endif()
endif(Q_WS_X11)

macro_optional_find_package(GLIB2 2.0)
set_package_properties(GLIB2 PROPERTIES DESCRIPTION "Low-level core library for data structure handling, portability wrappers, etc."
                       URL "http://www.gtk.org"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the kxkb keyboard map control program and provide XMMS support in the Now Playing Plasma data engine"
                      )

macro_optional_find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "http://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

#### Python support ( plasma scriptengines ) ####
macro_optional_find_package(PythonLibrary)
set_package_properties(PythonLibrary PROPERTIES DESCRIPTION "Python scripting language"
                       URL "http://python.org"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build plasma scriptengine for python."
                      )

macro_optional_find_package(Soprano 2.7.56)
set_package_properties(Soprano PROPERTIES DESCRIPTION "Semantic Desktop Storing"
                       URL "http://soprano.sourceforge.net"
                       TYPE OPTIONAL
                       PURPOSE "Required to build Nepomuk features."
                      )

macro_optional_find_package(NepomukCore QUIET CONFIG)
set_package_properties(NepomukCore PROPERTIES DESCRIPTION "Nepomuk Core Library"
                       URL "https://projects.kde.org/nepomuk-core"
                       TYPE OPTIONAL
                       PURPOSE "Required to build Nepomuk features."
                      )

macro_optional_find_package(Boost 1.34.0 MODULE)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries"
                       URL "http://www.boost.org"
                       TYPE OPTIONAL
                       PURPOSE "Required to build certain Plasma DataEngines (Akonadi, RSS, Calendar)"
                      )

macro_optional_find_package(Akonadi QUIET CONFIG)
set_package_properties(Akonadi PROPERTIES DESCRIPTION "An extensible cross-desktop storage service for PIM data"
                       URL "http://pim.kde.org/akonadi"
                       TYPE OPTIONAL
                       PURPOSE "Required to build certain Plasma DataEngines (Akonadi, Calendar)"
                      )

macro_optional_find_package(KdepimLibs 4.10.68 QUIET CONFIG)
set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "The KDEPIM libraries"
                       URL "http://pim.kde.org"
                       TYPE OPTIONAL
                       PURPOSE "Required to build certain Plasma DataEngines (Akonadi, Calendar)"
                      )

macro_optional_find_package(QJSON)
set_package_properties(QJSON PROPERTIES DESCRIPTION "Library to manage JSON objects with Qt"
                       URL "http://qjson.sourceforge.net/"
                       TYPE OPTIONAL
                       PURPOSE "Required to build Chrome/Chromium support for Plasma Bookmarks Runners"
                      )


include(ConfigureChecks.cmake)
if(NOT WIN32)
  configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
  configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )
  if(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
    set(EXPORT_XCURSOR_PATH "XCURSOR_PATH=${CMAKE_INSTALL_PREFIX}/share/icons:$XCURSOR_PATH\":~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons\"; export XCURSOR_PATH")
  endif(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
  configure_file(startkde.cmake ${CMAKE_CURRENT_BINARY_DIR}/startkde  @ONLY)
endif(NOT WIN32)
configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h )

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KACTIVITIES_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/libs)

add_definitions(-DDISABLE_NEPOMUK_LEGACY)

# libs
add_subdirectory(cmake)
add_subdirectory(libs)

# system settings (kcontrol replacement)
if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory( systemsettings )
endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")

# core apps
if(NOT WIN32)
   macro_optional_add_subdirectory( kcheckpass )
   macro_optional_add_subdirectory( kwin )
   macro_optional_add_subdirectory( ksmserver )

   find_package(JPEG REQUIRED)
   find_package(PNG REQUIRED)
   macro_optional_add_subdirectory( ksplash )

   macro_optional_add_subdirectory( powerdevil )
   macro_optional_add_subdirectory( qguiplatformplugin_kde )
   if (NOT CMAKE_SYSTEM_NAME MATCHES Darwin)
      macro_optional_add_subdirectory( ksysguard )
   endif (NOT CMAKE_SYSTEM_NAME MATCHES Darwin)
endif(NOT WIN32)

if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory(kcontrol)
   macro_optional_add_subdirectory(klipper)
   macro_optional_add_subdirectory(kmenuedit)
   macro_optional_add_subdirectory(krunner)
   macro_optional_add_subdirectory(solid-actions-kcm)
   macro_optional_add_subdirectory(kstartupconfig)
   macro_optional_add_subdirectory(freespacenotifier)
   macro_optional_add_subdirectory(kscreensaver)
   macro_optional_add_subdirectory(kinfocenter)

   # data
   macro_optional_add_subdirectory(doc)

   if (Q_WS_X11)
      macro_optional_add_subdirectory(ktouchpadenabler)
   endif (Q_WS_X11)

   if(NOT WIN32)
      macro_optional_add_subdirectory(kcminit)
      macro_optional_add_subdirectory(khotkeys)
      macro_optional_add_subdirectory(kwrited)
      macro_optional_add_subdirectory(ksystraycmd)
      macro_optional_add_subdirectory(appmenu)
   endif(NOT WIN32)

   if(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      macro_optional_add_subdirectory( kdm )
   else(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      message(STATUS "Xau lib or Xdmcp lib was missing. kdm will not compile")

=== kcontrol/CMakeLists.txt ===

macro_optional_find_package(Freetype)
set_package_properties(Freetype PROPERTIES DESCRIPTION "A font rendering engine"
                       URL "http://www.freetype.org"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build kfontinst, a simple font installer."
                      )


set(libkxftconfig_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/fonts/kxftconfig.cpp )


if( X11_Xrandr_FOUND )
   add_subdirectory( randr )
endif(X11_Xrandr_FOUND )

if(X11_Xkb_FOUND)
    add_subdirectory( keyboard )
endif(X11_Xkb_FOUND)

if(NOT WIN32)
add_subdirectory( bell )
add_subdirectory( input )
add_subdirectory( access )
add_subdirectory( screensaver )
add_subdirectory( dateandtime )
add_subdirectory( autostart )
endif(NOT WIN32)

add_subdirectory( launch )
add_subdirectory( colors )
add_subdirectory( krdb )
add_subdirectory( style )
add_subdirectory( desktoptheme )
add_subdirectory( standard_actions )
add_subdirectory( keys )
add_subdirectory( workspaceoptions )

# TODO needs porting
#add_subdirectory( smartcard )

add_subdirectory( hardware )
add_subdirectory( desktoppaths )

if( FREETYPE_FOUND )
    if( WIN32 OR FONTCONFIG_FOUND )
        add_subdirectory( fonts )
    endif( WIN32 OR FONTCONFIG_FOUND )
endif( FREETYPE_FOUND )
if(FONTCONFIG_FOUND AND FREETYPE_FOUND AND NOT WIN32)
    add_subdirectory( kfontinst )
endif(FONTCONFIG_FOUND AND FREETYPE_FOUND AND NOT WIN32)

=== kinfocenter/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} )
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=1208 )

add_subdirectory( Categories )
add_subdirectory( Modules )

INCLUDE_DIRECTORIES( ToolTips )

set( kinfocenter_SRCS
infocenter.cpp
main.cpp
sidepanel.cpp
kcmcontainer.cpp
kcmtreeitem.cpp
kcmcategoryitem.cpp
infokcmmodel.cpp
infokcmproxymodel.cpp
ToolTips/ktooltip.cpp
ToolTips/ktooltipwindow.cpp
ToolTips/tooltipmanager.cpp
)

kde4_add_executable( kinfocenter ${kinfocenter_SRCS} )

target_link_libraries( kinfocenter ${KDE4_KFILE_LIBS} ${KDE4_KCMUTILS_LIBS} )

##install

install( TARGETS kinfocenter          ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( PROGRAMS kinfocenter.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
INSTALL( FILES kinfocenterui.rc DESTINATION ${DATA_INSTALL_DIR}/kinfocenter )

=== klipper/CMakeLists.txt ===
kde4_no_enable_final(klipper)

set(libklipper_common_SRCS
    klipper.cpp
    urlgrabber.cpp
    configdialog.cpp
    history.cpp
    historyitem.cpp
    historystringitem.cpp
    klipperpopup.cpp
    popupproxy.cpp
    historyimageitem.cpp
    historyurlitem.cpp
    actionstreewidget.cpp
    editactiondialog.cpp
    clipcommandprocess.cpp
)

macro_optional_find_package(Prison QUIET CONFIG)
set_package_properties(Prison PROPERTIES DESCRIPTION "Prison library"
                       URL "http://projects.kde.org/prison"
                       TYPE OPTIONAL
                       PURPOSE "Needed to create mobile barcodes from clipboard data"
                      )
if (PRISON_FOUND)
    add_definitions(-DHAVE_PRISON)
    include_directories(${PRISON_INCLUDE_DIR})
endif (PRISON_FOUND)


kde4_add_app_icon(libklipper_common_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/klipper.png")
kde4_add_ui_files(libklipper_common_SRCS generalconfig.ui actionsconfig.ui editactiondialog.ui)
kde4_add_kcfg_files(libklipper_common_SRCS klippersettings.kcfgc)

set(klipper_KDEINIT_SRCS ${libklipper_common_SRCS} main.cpp tray.cpp)


kde4_add_kdeinit_executable(klipper ${klipper_KDEINIT_SRCS})

target_link_libraries(kdeinit_klipper ${KDE4_KDEUI_LIBS} ${X11_LIBRARIES} ${ZLIB_LIBRARY})
if (X11_Xfixes_FOUND)
  target_link_libraries(kdeinit_klipper ${X11_Xfixes_LIB})
endif (X11_Xfixes_FOUND)
if (PRISON_FOUND)
  target_link_libraries(kdeinit_klipper ${PRISON_LIBRARIES})
endif (PRISON_FOUND)

install(TARGETS kdeinit_klipper ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS klipper         ${INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS klipper.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(PROGRAMS klipper.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

if(NOT WIN32)
  install( FILES klipper-kconfigxt.upd DESTINATION  ${KCONF_UPDATE_INSTALL_DIR} )
endif(NOT WIN32)

=== doc/kcontrol/CMakeLists.txt ===
add_subdirectory(clock)
add_subdirectory(colors)
add_subdirectory(desktopthemedetails)
add_subdirectory(joystick)
add_subdirectory(kcmaccess)
add_subdirectory(kcmstyle)
add_subdirectory(solid-actions)
add_subdirectory(solid-hardware)
add_subdirectory(splashscreen)
add_subdirectory(powerdevil)
add_subdirectory(kwincompositing)
add_subdirectory(kwinscreenedges)

if ( Q_WS_X11 )
add_subdirectory(autostart)
add_subdirectory(bell)
add_subdirectory(cursortheme)
add_subdirectory(fonts)
add_subdirectory(fontinst)
add_subdirectory(keys)
add_subdirectory(keyboard)
add_subdirectory(kwindecoration)
add_subdirectory(desktop)
add_subdirectory(mouse)
add_subdirectory(paths)
add_subdirectory(screensaver)
add_subdirectory(windowspecific)
add_subdirectory(windowbehaviour)
add_subdirectory(kwintabbox)
add_subdirectory(kcmsmserver)
add_subdirectory(workspaceoptions)
add_subdirectory(khotkeys)
endif ( Q_WS_X11 )

=== kcontrol/bell/CMakeLists.txt ===



########### next target ###############

set(kcm_bell_PART_SRCS bell.cpp )


kde4_add_plugin(kcm_bell ${kcm_bell_PART_SRCS})


target_link_libraries(kcm_bell  ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY} ${X11_X11_LIB})

install(TARGETS kcm_bell  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES bell.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

kde4_install_icons( ${ICON_INSTALL_DIR}  )

=== kcontrol/randr/CMakeLists.txt ===

if( XRANDR_1_2_FOUND )
    macro_optional_add_subdirectory(module)
endif( XRANDR_1_2_FOUND )

configure_file (config-randr.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config-randr.h )

include_directories( ${X11_Xrandr_INCLUDE_PATH}  )

########### next target ###############


set(randrinternal_PART_SRCS 
   ktimerdialog.cpp
   randr.cpp 
   randrdisplay.cpp
   collapsiblewidget.cpp
   legacyrandrscreen.cpp) 

if( XRANDR_1_2_FOUND )
   set(randrinternal_PART_SRCS ${randrinternal_PART_SRCS} layoutmanager.cpp 
       outputconfig.cpp outputgraphicsitem.cpp randrconfig.cpp randrcrtc.cpp 
       randrmode.cpp randroutput.cpp randrscreen.cpp)
endif( XRANDR_1_2_FOUND )

set(kcm_randr_PART_SRCS 
   krandrmodule.cpp 
   legacyrandrconfig.cpp
   ${randrinternal_PART_SRCS})

kde4_add_ui_files(kcm_randr_PART_SRCS
   legacyrandrconfigbase.ui
   randrconfigbase.ui
   outputconfigbase.ui)


kde4_add_plugin(kcm_randr ${kcm_randr_PART_SRCS})


target_link_libraries(kcm_randr  ${KDE4_KDEUI_LIBS} ${X11_Xrandr_LIB} ${X11_LIBRARIES})

install(TARGETS kcm_randr  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### next target ###############

set(krandrtray_SRCS 
   main.cpp 
   krandrtray.cpp 
   krandrapp.cpp 
   krandrpassivepopup.cpp ${randrinternal_PART_SRCS})


kde4_add_ui_files(krandrtray_SRCS
   randrconfigbase.ui
   outputconfigbase.ui)

kde4_add_executable(krandrtray ${krandrtray_SRCS})

target_link_libraries(krandrtray ${KDE4_KCMUTILS_LIBS} ${X11_Xrandr_LIB} ${X11_LIBRARIES})

install(TARGETS krandrtray ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

install(PROGRAMS krandrstartup DESTINATION ${BIN_INSTALL_DIR})


########### install files ###############

install( PROGRAMS krandrtray.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES randr.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kwin/effects/CMakeLists.txt ===
set(kwin_effect_OWN_LIBS
    kwineffects
)

set(kwin_effect_KDE_LIBS
    ${KDE4_KDEUI_LIBS}
    ${KDE4_PLASMA_LIBS}
    ${KDECLARATIVE_LIBRARIES}
)

set(kwin_effect_QT_LIBS
    ${QT_QTDECLARATIVE_LIBRARY}
)

set(kwin_effect_XLIB_LIBS
    ${X11_X11_LIB}
    ${X11_Xcursor_LIB}
)

set(kwin_effect_XCB_LIBS
    ${XCB_XCB_LIBRARIES}
    ${X11_XCB_LIBRARIES}
    ${XCB_IMAGE_LIBRARIES}
    ${XCB_XFIXES_LIBRARIES}
)

if( KWIN_HAVE_XRENDER_COMPOSITING )
    set(kwin_effect_XCB_LIBS ${kwin_effect_XCB_LIBS} ${XCB_RENDER_LIBRARIES})
endif()

if(OPENGL_FOUND)
    set(kwin_effect_OWN_LIBS ${kwin_effect_OWN_LIBS} kwinglutils)
elseif(OPENGLES_FOUND)
    set(kwin_effect_OWN_LIBS ${kwin_effect_OWN_LIBS} kwinglesutils)
endif()

macro( KWIN4_ADD_EFFECT_BACKEND name )
    kde4_add_plugin( ${name} ${ARGN} )
    target_link_libraries( ${name} ${kwin_effect_OWN_LIBS} ${kwin_effect_KDE_LIBS} ${kwin_effect_QT_LIBS} ${kwin_effect_XLIB_LIBS} ${kwin_effect_XCB_LIBS})
endmacro()

# Adds effect plugin with given name. Sources are given after the name
macro( KWIN4_ADD_EFFECT name )
    if(OPENGL_FOUND OR NOT(OPENGL_FOUND AND OPENGLES_FOUND))
        # OpenGL or neither OpenGL nor OpenGL ES - default set
        KWIN4_ADD_EFFECT_BACKEND(kwin4_effect_${name} ${ARGN})
        if(OPENGL_FOUND)
            if( KWIN_BUILD_OPENGL_1_COMPOSITING )
                set_target_properties(kwin4_effect_${name} PROPERTIES COMPILE_FLAGS -DKWIN_HAVE_OPENGL_1)
            endif()
        elseif(OPENGLES_FOUND)
            set_target_properties(kwin4_effect_${name} PROPERTIES COMPILE_FLAGS "-DKWIN_HAVE_OPENGLES")
        endif()
        set_target_properties(kwin4_effect_${name} PROPERTIES OUTPUT_NAME ${KWIN_NAME}4_effect_${name})
        install( TARGETS kwin4_effect_${name} DESTINATION ${PLUGIN_INSTALL_DIR} )
    endif()


    if(OPENGLES_FOUND)
        KWIN4_ADD_EFFECT_BACKEND(kwin4_effect_gles_${name} ${ARGN})
        # OpenGL ES gets into a different library
        set_target_properties(kwin4_effect_gles_${name} PROPERTIES COMPILE_FLAGS "-DKWIN_HAVE_OPENGLES")
        set_target_properties(kwin4_effect_gles_${name} PROPERTIES OUTPUT_NAME ${KWIN_NAME}4_effect_gles_${name})
        install( TARGETS kwin4_effect_gles_${name} DESTINATION ${PLUGIN_INSTALL_DIR} )
    endif()
endmacro()

macro( KWIN4_ADD_EFFECT_CONFIG name )
    set( kwin4_effect_ui ) # Initially empty
    set( kwin4_effect_src ) # Initially empty

    foreach( file ${ARGN} )
        if( file MATCHES \\.ui )
            set( kwin4_effect_ui ${kwin4_effect_ui} ${file} )
        else()
            set( kwin4_effect_src ${kwin4_effect_src} ${file} )
        endif()
    endforeach()

    kde4_add_ui_files( kwin4_effect_src ${kwin4_effect_ui} )
    kde4_add_plugin( kcm_kwin4_effect_${name} ${kwin4_effect_src} )
    if(OPENGLES_FOUND)
        set_target_properties(kcm_kwin4_effect_${name} PROPERTIES COMPILE_FLAGS "-DKWIN_HAVE_OPENGLES")
    endif()
    target_link_libraries( kcm_kwin4_effect_${name} kwineffects ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} )
    install( TARGETS kcm_kwin4_effect_${name} DESTINATION ${PLUGIN_INSTALL_DIR} )
endmacro()

# Install the KWin/Effect service type
install( FILES kwineffect.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )

# Create initial variables
set( kwin4_effect_builtins_sources )
if( NOT KWIN_MOBILE_EFFECTS )
    set( kwin4_effect_builtins_config_sources configs_builtins.cpp )
endif()
set( kwin4_effect_include_directories )

# scripted effects
add_subdirectory( dialogparent )
add_subdirectory( fade )
add_subdirectory( login )

# scripted effects only relevant to desktop
if( NOT KWIN_MOBILE_EFFECTS )
    add_subdirectory( fadedesktop )
    add_subdirectory( maximize )
    add_subdirectory( scalein )
    add_subdirectory( translucency )
endif()

###############################################################################
# Built-in effects go here

# Common effects
include( kscreen/CMakeLists.txt )
include( presentwindows/CMakeLists.txt )
include( screenedge/CMakeLists.txt )
include( slidingpopups/CMakeLists.txt )
include( taskbarthumbnail/CMakeLists.txt )

# Common effects only relevant to desktop
if( NOT KWIN_MOBILE_EFFECTS )
    include( dashboard/CMakeLists.txt )
    include( desktopgrid/CMakeLists.txt )
    include( diminactive/CMakeLists.txt )
    include( dimscreen/CMakeLists.txt )
    include( fallapart/CMakeLists.txt )
    include( highlightwindow/CMakeLists.txt )
    include( magiclamp/CMakeLists.txt )
    include( minimizeanimation/CMakeLists.txt )
    include( resize/CMakeLists.txt )
    include( showfps/CMakeLists.txt )
    include( showpaint/CMakeLists.txt )
    include( slide/CMakeLists.txt )
    include( slideback/CMakeLists.txt )
    include( thumbnailaside/CMakeLists.txt )
    include( windowgeometry/CMakeLists.txt )
    include( zoom/CMakeLists.txt )
    include( logout/CMakeLists.txt )
endif()

# OpenGL-specific effects
include( blur/CMakeLists.txt )
include( screenshot/CMakeLists.txt )
# OpenGL-specific effects for desktop
if( NOT KWIN_MOBILE_EFFECTS )
    include( coverswitch/CMakeLists.txt )
    include( cube/CMakeLists.txt )
    include( flipswitch/CMakeLists.txt )
    include( glide/CMakeLists.txt )
    include( invert/CMakeLists.txt )
    include( lookingglass/CMakeLists.txt )
    include( magnifier/CMakeLists.txt )
    include( mouseclick/CMakeLists.txt )
    include( mousemark/CMakeLists.txt )
    include( sheet/CMakeLists.txt )
    include( snaphelper/CMakeLists.txt )
    include( startupfeedback/CMakeLists.txt )
    include( trackmouse/CMakeLists.txt )
    include( wobblywindows/CMakeLists.txt )
endif()

###############################################################################

# Add the builtins plugin
KWIN4_ADD_EFFECT( builtins ${kwin4_effect_builtins_sources} )
if( NOT KWIN_MOBILE_EFFECTS )
    KWIN4_ADD_EFFECT_CONFIG( builtins ${kwin4_effect_builtins_config_sources} )
endif()

=== kwin/kcmkwin/CMakeLists.txt ===
add_subdirectory( kwinoptions )
add_subdirectory( kwindecoration )
add_subdirectory( kwinrules )
add_subdirectory( kwincompositing )
if(KWIN_BUILD_SCREENEDGES)
    add_subdirectory( kwinscreenedges )
endif()
if(KWIN_BUILD_SCRIPTING)
    add_subdirectory( kwinscripts )
endif()
add_subdirectory( kwindesktop )

if( KWIN_BUILD_TABBOX )
add_subdirectory( kwintabbox )
endif()

=== kwin/tabbox/CMakeLists.txt ===
add_subdirectory( qml )
add_subdirectory( tests )

# Install the KWin/WindowSwitcher service type
install( FILES kwinwindowswitcher.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )
install( FILES kwindesktopswitcher.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )

=== libs/ksysguard/CMakeLists.txt ===

########### next target ###############

kde4_no_enable_final( signalplotter )

if(Q_WS_X11)
    find_library(X11_XRes_LIB XRes ${X11_LIB_SEARCH_PATH})
    find_path(X11_XRes_INCLUDE_PATH X11/extensions/XRes.h ${X11_INC_SEARCH_PATH})

    if(X11_XRes_LIB AND X11_XRes_INCLUDE_PATH)
        set(X11_XRes_FOUND TRUE)
    endif(X11_XRes_LIB AND X11_XRes_INCLUDE_PATH)
endif(Q_WS_X11)

macro_bool_to_01(X11_XRes_FOUND HAVE_XRES)
configure_file(config-ksysguard.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksysguard.h )

add_subdirectory( lsofui )
add_subdirectory( processcore )
add_subdirectory( processui )
add_subdirectory( signalplotter )
add_subdirectory( ksgrd )
add_subdirectory( tests )

install(DIRECTORY scripts/ DESTINATION ${DATA_INSTALL_DIR}/ksysguard/scripts)

=== powerdevil/kcmodule/CMakeLists.txt ===
include_directories (
    ${CMAKE_CURRENT_SOURCE_DIR}/common
    ${CMAKE_CURRENT_BINARY_DIR}/common
)

add_subdirectory(common)

add_subdirectory(activities)
add_subdirectory(global)
add_subdirectory(profiles)

=== debian/changelog ===
kde-workspace (4:4.11.8-0ubuntu6) trusty; urgency=medium

  [ Scott Kitterman ]
  * Revert dropping of plasma-scriptengine-ruby from plasma-scriptengines now
    that the ruby1.8 dependency for ruby-plasma is fixed

  [ Harald Sitter ]
  * Fix kubuntu_dont-force-on-path.patch proper
    + alias qdbus to a forceful QT_SELECT=4 call
    + replace the mindnumbing var eval for qdbus calls with calls through
      the alias (i.e. it reads as qdbus and not $qdbus)
  * Add upstream git commits for pam-kwallet integration LP: #1305307
    They are passing the startkde envrionment to the pam, so it can unlock
    the wallet from the right kdehome.
    + upstream_Use-the-socket-path-sent-by-pam-kwallet-rather-than-.patch
    + upstream_If-pam-kwallet-was-used-send-environment-to-it.patch

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 11:12:23 +0200

kde-workspace (4:4.11.8-0ubuntu5) trusty; urgency=medium

  * Fix patch kubuntu_dont-force-on-path.patch, previous change
    broke log, sorry, LP: #1304805

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Apr 2014 09:33:32 +0100

kde-workspace (4:4.11.8-0ubuntu4) trusty; urgency=medium

  * Set qdbus to use qt4 with local QT_SELECT in startkde

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Apr 2014 16:23:28 +0100

kde-workspace (4:4.11.8-0ubuntu3) trusty; urgency=medium

  * plasma-scriptengines: Remove the dependency on plasma-scriptengine-ruby.
    Still depends on ruby1.8 which won't be available in trusty.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Apr 2014 22:36:45 +0200

kde-workspace (4:4.11.8-0ubuntu2) trusty; urgency=medium

  * Don't set QT_SELECT, qdbus from Qt5 is compatible with qdbus from
    Qt4 (LP: #1299920)

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 02 Apr 2014 11:30:17 +0200

kde-workspace (4:4.11.8-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Mar 2014 23:22:07 +0000

kde-workspace (4:4.11.7-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Mar 2014 16:16:03 +0100

kde-workspace (4:4.11.6-0ubuntu5) trusty; urgency=medium

  * Don't use set in shell script (LP: #1297139)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 25 Mar 2014 11:01:36 +0100

kde-workspace (4:4.11.6-0ubuntu4) trusty; urgency=medium

  [ Rohan Garg ]
  * Add Dep 3 headers to various kubuntu patches
    - Drop kubuntu_kde-workspace-kwin-touch-mouseevents-translation.diff,
      not required for PA 4
    - Drop upstream_Use-cascaded-configs-for-other-modules-as-well.patch,
      was not being used
  * Switch to new package name in startkde when copying GTK2/3 settings
    (LP: #1232156)

  [ Harald Sitter ]
  * Drop KDM ConsoleKit support. We are using logind everywhere else
    and upstream actually prefers logind in all workspace software, however
    since KDM is semi-unmaintained and feature frozen there won't be logind
    support. ConsoleKit in KDM will not do anything on its own because all
    the applications of the workspace will want to talk to logind when
    present (which is pretty much always due to upstart).
    + Remove consolekit runtime dependency from kdm package.
    + Remove libck-connector-dev build dependency to build without CK.
    + This approach was discussed on the kde-core-devel mailing list
      and is the overwhelmingly accepted thing to do.
    LP: #1281036

  [ Philip Muškovac ]
  * kubuntu_plasma_netbook_for_small_screens.diff:
    - fix detection of optical drives so plasma-netbook doesn't appear in
      low-res virtual machines

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 25 Mar 2014 10:49:43 +0100

kde-workspace (4:4.11.6-0ubuntu3) trusty; urgency=medium

  * Add kubuntu_dont-force-on-path.patch to not force Qt4 path on top
    of everything else, use qtchooser instead (LP: #1180196)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Mar 2014 16:34:06 +0100

kde-workspace (4:4.11.6-0ubuntu2) trusty; urgency=medium

  * Update symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 12:59:50 +0000

kde-workspace (4:4.11.6-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release
  * Drop upstream_Make_powerdevil_use_logind_on_upstart_systems.patch, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Feb 2014 12:25:28 +0100

=== debian/control ===
Source: kde-workspace
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>, 
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11.6), libkactivities-dev (>= 4:4.11.6),
 nepomuk-core-dev (>= 4:4.11.6),
 libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
 libqimageblitz-dev (>= 1:0.0.4-2),
 zlib1g-dev,
 libdbusmenu-qt-dev (>= 0.6.0),
 libfontconfig-dev,
 libglu1-mesa-dev, libqt4-opengl-dev,
 python-dev (>= 2.6.6-3~),
 shared-desktop-ontologies (>= 0.8),
 libpam0g-dev,
 libnm-util-dev (>= 0.9) [linux-any],
 network-manager-dev (>= 0.9) [linux-any],
 libraw1394-dev [linux-any],
 libusb-dev, libpci-dev,
 libakonadi-dev (>= 1.1.95), libboost1.54-dev,
 libgps-dev (>= 2.90),
 libdbus-1-dev,
 libsensors4-dev [linux-any],
 libdevstat-dev [kfreebsd-any],
 libxkbfile-dev, libxrandr-dev, libxrender-dev, libxcomposite-dev, libxdamage-dev,
 libxfixes-dev, libxft-dev, libxtst-dev, libxss-dev, libsm-dev, libxinerama-dev, libxi-dev,
 libpng12-dev (<< 1.5), libjpeg-dev, libxcursor-dev,
 libqalculate-dev, libglib2.0-dev,
 libqtwebkit-dev,
 libprison-dev,
 libxcb-composite0-dev, libxcb-damage0-dev, libxcb-xfixes0-dev, libxcb1-dev,
 libxcb-render0-dev, libxcb-randr0-dev, libxcb-shape0-dev, libxcb-xtest0-dev,
 libxcb-shm0-dev, libxcb-sync-dev, libxcb-image0-dev, libxcb-icccm4-dev, 
 libxcb-render-util0-dev, libx11-xcb-dev, libxcb-keysyms1-dev, 
 libqjson-dev, libdlrestrictions-dev (>= 0.14),
 libgles2-mesa-dev, libwayland-dev, udev, libudev-dev
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-workspace.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kde-workspace.git

Package: kde-workspace
Architecture: all
Depends: kde-workspace-bin (>= ${source:Version}), ${misc:Depends},
 klipper (>= ${source:Version}), ksysguard (>= ${source:Version}), 
 kde-window-manager (>= ${source:Version}) | kde-window-manager-active (>= ${source:Version}),
 systemsettings (>= ${source:Version}),
 freespacenotifier (>= ${source:Version})
Recommends: lightdm-kde-greeter | kdm (>= ${source:Version}), kinfocenter (>= ${source:Version}),
 kmenuedit (>= ${source:Version})
Breaks: kdebase-workspace (<< 4:4.7.2) 
Replaces: kdebase-workspace (<< 4:4.7.2) 
Description: KDE Plasma Workspace components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides a basic KDE desktop installation.

Package: kdebase-workspace
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-workspace
Description: transitional package for kde-workspace
 This is a dummy transitional package for kde-workspace and can be safely
 removed after the installation is complete.

Package: plasma-desktop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default
Recommends: kde-workspace
Replaces: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5),
 kde-workspace-bin (<< 4:4.10.80), kde-workspace-data (<< 4:4.10.80)
Breaks: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
 kde-workspace-bin (<< 4:4.10.80), kde-workspace-data (<< 4:4.10.80)
Description: KDE Plasma workspace for desktop and laptop computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of desktop applications, not only applications built on the KDE Platform.
 It integrates best with applications following the standards used by the KDE
 Platform.
 .
 This package is part of the KDE base workspace module.

Package: plasma-netbook
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default
Recommends: kde-workspace
Description: KDE Plasma workspace for netbook computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of applications in a netbook environment, not only applications built on
 the KDE Platform. It integrates best with applications following the standards
 used by the KDE Platform.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iso-codes,
 plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}) | plasma-active,
 kde-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
 kde-workspace-kgreet-plugins (= ${binary:Version}), qdbus, kde-base-artwork
Recommends: polkit-kde-1 (>= 0.99) | policykit-1-gnome,
 upower [linux-any]
Suggests: x11-xkb-utils, plasma-scriptengines
Replaces: kcontrol, ktip, libkfontinst4, ksplash, kdesktop,
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.7.2),
 ktouchpadenabler, kde-window-manager-common (<< 4:4.10.80)
Breaks: kcontrol, ktip, libkfontinst4, kdesktop, ksplash,
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.7.2),
 polkit-kde-1 (<< 0.99), ktouchpadenabler, kde-window-manager-common (<< 4:4.10.80)
Description: core binaries for the KDE Plasma Workspace
 This package contains miscellaneous programs needed for a basic desktop
 installation. Among other standard KDE Workspace components, the package
 provides startkde scripts, ksmserver (the session manager), krunner,
 the default KDE screensavers and many KDE configuration modules. This
 package is essential to start and use KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-bin
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-workspace-bin
Description: transitional package for kde-workspace-bin
 This is a dummy transitional package for kde-workspace-bin and can be safely
 removed after the installation is complete.

Package: kde-workspace-randr
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: kde-workspace-bin (<< 4:4.10.1b-0ubuntu2)
Breaks: kde-workspace-bin (<< 4:4.10.1b-0ubuntu2)
Description: randr tools from kde-workspace
 Screen resize and rotate tools from KDE Workspace.

Package: kde-workspace-data
Architecture: all
Depends: oxygen-cursor-theme, ${misc:Depends}, ${perl:Depends}
Replaces: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kde-icons-mono (<< 4:4.6.80),
 kdebase-workspace-data (<< 4:4.7.2), kde-workspace-data-extras (<< 4:4.8.80),
 kdm (<< 4:4.10.80)
Breaks: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kde-icons-mono (<< 4:4.6.80),
 kdebase-workspace-data (<< 4:4.7.2), kde-workspace-data-extras (<< 4:4.8.80),
 kdm (<< 4:4.10.80)
Suggests: kde-wallpapers
Description: shared data files for the KDE Plasma Workspace
 This package contains architecture-independent shared data files needed for a
 basic KDE Workspace installation.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-data-extras
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-wallpapers, kde-workspace-data (>= ${source:Version}),
 ${misc:Depends}, ${perl:Depends}
Replaces: ksmserver, ktip, ksplash, libplasma1
Breaks: ksmserver, ktip, ksplash, libplasma1
Description: transitional package for kde-workspace-data
 This package is safe to remove

Package: kde-workspace-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${allLibraries},
 ${sameVersionDep:kdelibs5-dev:kde-workspace-bin}, libx11-xcb-dev
Breaks: kdebase-workspace-dev (<< 4:4.7.2) 
Replaces: kdebase-workspace-dev (<< 4:4.7.2) 
Description: development files for the KDE Plasma Workspace
 This package contains development files for building software that uses
 libraries from the KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-workspace-dev
Description: transitional package for kde-workspace-dev
 This is a dummy transitional package for kde-workspace-dev and can be safely
 removed after the installation is complete.

Package: plasma-dataengines-workspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ksysguardd (= ${binary:Version})
Breaks: kde-workspace-bin (<< 4:4.10.80)
Replaces: kde-workspace-bin (<< 4:4.10.80)
Description: KDE Plasma data engines
 This package contains standard Plasma data engines shipped in KDE Plasma
 workspace. These engines are needed by the standard KDE base
 workspace Plasma widgets, but they may be useful for any other Plasma widget
 too.
 .
 This package is part of the KDE base workspace module.

Package: plasma-widgets-workspace
Architecture: any
Depends: ${shlibs:Depends}, plasma-dataengines-workspace (= ${binary:Version}), ${misc:Depends},
 akonadi-server, kdepim-runtime
Breaks: kde-workspace-data (<< 4:4.10.80)
Replaces: kde-workspace-data (<< 4:4.10.80)
Provides: notification-daemon
Description: plasma widgets and containments for the KDE Plasma Workspace
 This package contains standard Plasma widgets and containments shipped in the
 KDE base workspace module. They provide such basic desktop functionality as
 the panel, task manager, application laucher, clock and more. The default KDE
 Workspace is a combination of these visual components.
 .
 This package also includes the default animator used by the main KDE Plasma
 Desktop shell.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengines
Architecture: all
Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
 plasma-scriptengine-ruby (>= ${source:Version}),
 plasma-scriptengine-python (>= ${source:Version}),
 plasma-scriptengine-webkit (>= ${source:Version}),
 ${misc:Depends}
Recommends: plasma-scriptengine-superkaramba
Suggests: plasma-scriptengine-kimono
Description: metapackage to install all Plasma script engines
 This metapackage depends on all Plasma script engines which kde-workspace
 module provides and suggests script engines from other official KDE modules.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-ruby
Architecture: all
Depends: ruby-plasma, ${misc:Depends}
Description: Ruby script engine for Plasma
 This package provides the Ruby script engine for Plasma. You have to install it
 if you want to use Plasma widgets and data engines written in Ruby.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-python
Architecture: all
Depends: ${python:Depends}, python-kde4 (>= 4:4.6.80), ${misc:Depends},
 python-qt4-dbus
Description: Python script engine for Plasma
 This package provides the Python script engine for Plasma. You have to install
 it if you want to use Plasma widgets and data engines written in Python.
 .

=== debian/rules ===
#!/usr/bin/make -f

dh = --with=python2

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kde-workspace-dev
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages) kde-style-oxygen
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

BINARYVERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

override_dh_auto_clean:
	$(overridden_command)
	rm -rf debian/build-kwin-active debian/tmp-kwin-active

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm \
		-DKDE4_BUILD_TESTS=false
	$(overridden_command) -Bdebian/build-kwin-active -- -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm \
	        -DKDE4_BUILD_TESTS=false -DKWIN_PLASMA_ACTIVE=true

override_dh_auto_build:
	$(overridden_command)
	cd debian/build-kwin-active/kwin; $(overridden_command); cd ../../..

override_dh_auto_install:
	$(overridden_command)
	cd debian/build-kwin-active/kwin; DESTDIR=$(CURDIR)/debian/tmp-kwin-active make install; cd ../../..
	chmod a-x debian/tmp/usr/share/autostart/klipper.desktop

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kde-workspace-dbg

override_dh_makeshlibs:
	$(overridden_command) -pplasma-desktop -Xlibkickoff.so
	$(overridden_command) --remaining-packages -- -c0

override_dh_shlibdeps:
	$(overridden_command) -pkde-workspace-bin -- -xksysguard
	$(overridden_command) -pkde-workspace-dev -- -xkde-runtime
	$(overridden_command) $(foreach p,$(filter lib%,$(shell dh_listpackages -a)),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

# Prevent it from stopping kdm in prerm ever (--no-restart-on-upgrade is not
# enough)
override_dh_installinit:
	$(overridden_command) -pkdm --noscripts
	$(overridden_command) --remaining-packages

pkgs_with_install_linux = $(patsubst debian/%.install.linux,%,$(wildcard debian/*.install.linux))
override_dh_install:
	$(overridden_command)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	# Also install common files in place of debian/*.install.linux variants
	dh_install $(foreach p,$(pkgs_with_install_linux),-p$p --ignore=debian/$p.install.linux)
endif
	if [ -d debian/kdm ]; then \
		install -p -D -m644 debian/kdm-np.pam debian/kdm/etc/pam.d/kdm-np && \
		install -p -D -m644 debian/kdm.insserv debian/kdm/etc/insserv.conf.d/kdm; \
	fi
	install -m 644 -D debian/startkde.user-session.upstart debian/kde-workspace-bin/usr/share/upstart/sessions/startkde.conf

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kde-workspace-([\d\.]*).tar.xz
